#ifndef __UDS_27SERVICE_Main_H
#define __UDS_27SERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_27Service_Filter.h"
#include "UDS_27Service_Internal.h"

void UDS_Service_27_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_27Service_Sub(void);
void UDS_27Service_Sub01(void);
void UDS_27Service_Sub02(void);
void UDS_27Service_Sub03(void);
void UDS_27Service_Sub04(void);

#endif